# OutgoingDataQueue::OutgoingRTPPktLink Struct Reference

`#include <oqueue.h>`

List of all members.

## Public Member Functions

| OutgoingRTPPktLink (OutgoingRTPPkt *pkt, OutgoingRTPPktLink *p, OutgoingRTPPktLink *n)
| ~OutgoingRTPPktLink ()
OutgoingRTPPkt * | getPacket ()
void | setPacket (OutgoingRTPPkt *pkt)
OutgoingRTPPktLink * | getPrev ()
void | setPrev (OutgoingRTPPktLink *p)
OutgoingRTPPktLink * | getNext ()
void | setNext (OutgoingRTPPktLink *n)

## Public Attributes

OutgoingRTPPkt * | packet
OutgoingRTPPktLink * | prev
OutgoingRTPPktLink * | next

## Constructor & Destructor Documentation

OutgoingDataQueue::OutgoingRTPPktLink::OutgoingRTPPktLink | ( | OutgoingRTPPkt * | pkt,
|  | OutgoingRTPPktLink * | p,
|  | OutgoingRTPPktLink * | n
| ) |  | `[inline]`

OutgoingDataQueue::OutgoingRTPPktLink::~OutgoingRTPPktLink | ( | ) | `[inline]`

## Member Function Documentation

OutgoingRTPPktLink* OutgoingDataQueue::OutgoingRTPPktLink::getNext | ( | ) | `[inline]`

OutgoingRTPPkt* OutgoingDataQueue::OutgoingRTPPktLink::getPacket | ( | ) | `[inline]`

OutgoingRTPPktLink* OutgoingDataQueue::OutgoingRTPPktLink::getPrev | ( | ) | `[inline]`

void OutgoingDataQueue::OutgoingRTPPktLink::setNext | ( | OutgoingRTPPktLink * | n ) | `[inline]`

void OutgoingDataQueue::OutgoingRTPPktLink::setPacket | ( | OutgoingRTPPkt * | pkt ) | `[inline]`

void OutgoingDataQueue::OutgoingRTPPktLink::setPrev | ( | OutgoingRTPPktLink * | p ) | `[inline]`

## Member Data Documentation

OutgoingRTPPktLink * OutgoingDataQueue::OutgoingRTPPktLink::next

OutgoingRTPPkt* OutgoingDataQueue::OutgoingRTPPktLink::packet

OutgoingRTPPktLink* OutgoingDataQueue::OutgoingRTPPktLink::prev

The documentation for this struct was generated from the following file:

- oqueue.h